package me.mrletsplay.shareclient.util;

import org.eclipse.core.resources.IProject;

/**
 * A project shared in a session. Contains a remote name (name used for {@link ProjectRelativePath}s) and a reference to the local project.
 */
public class SharedProject {

	private String remoteName;
	private IProject local;

	public SharedProject(String remoteName, IProject local) {
		super();
		this.remoteName = remoteName;
		this.local = local;
	}

	public String getRemoteName() {
		return remoteName;
	}

	public IProject getLocal() {
		return local;
	}

}
